pulse-client.conf(5)

NAME
pulse-client.conf - PulseAudio client configuration file

SYNOPSIS
~/.pulse/client.conf

/etc/pulse/client.conf

DESCRIPTION
The PulseAudio client library reads configuration directives from a file ~/.pulse/client.conf on startup, and when that file doesn't exist from /etc/pulse/client.conf.

The configuration file is a simple collection of variable declarations. If the configuration file parser encounters either ; or # for it ignores the rest of the line until its end.

For the settings that take a boolean argument, the values true, yes, on and 1 are equivalent, resp. false, no, off, 0.

DIRECTIVES

default-sink= The default sink to connect to. If specified overwrites the setting in the daemon. The environment variable $PULSE_SINK however takes precedence.

default-source= The default source to connect to. If specified overwrites the setting in the daemon. The environment variable $PULSE_SOURCE however takes precedence.

default-server= The default sever to connect to. The environment variable $PULSE_SERVER takes precedence.

autospawn= Autospawn a PulseAudio daemon when needed. Takes a boolean value, defaults to "no".

daemon-binary= Path to the PulseAudio daemon to run when autospawning. Defaults to a path configured at compile time.

extra-arguments= Extra arguments to pass to the PulseAudio daemon when autospawning. Defaults to --log-target=syslog --exit-idle-time=5

cookie-file= Specify the path to the PulseAudio authentication cookie. Defaults to ~/.pulse-cookie.

disable-shm= Disable data transfer via POSIX shared memory. Takes a boolean argument, defaults to no.

AUTHORS
The PulseAudio Developers <mzchyfrnhqvb (at) 0pointer (dot) net>; PulseAudio is available from http://pulseaudio.org/

SEE ALSO
pulse-daemon.conf(5), pulseaudio(1)